#### cancellation_slot::assign

Installs a handler into the slot.

    template<
        typename CancellationHandler>
    decay< CancellationHandler >::type & assign(
        CancellationHandler && handler);

Destroys any existing handler in the slot, then installs the new handler, constructing it as a decay-copy of the supplied handler.

The handler is a function object to be called when the signal is emitted. The signature of the handler must be

    void handler(asio::cancellation_type_t);

###### Parameters

handler

  The handler to be installed.

###### Return Value

A reference to the newly installed handler.